Bug 1375737 - IPv6 addresses not rendered on details page
Summary: IPv6 addresses not rendered on details page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: James Wong
QA Contact: Dave Johnson
URL:
Whiteboard: ipv6
Depends On:
Blocks: 1448142 1448143
TreeView+ depends on / blocked
 
Reported: 2016-09-13 21:13 UTC by Dave Johnson
Modified: 2019-08-06 20:05 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1448142 1448143 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:21:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
vm details screenshot (90.94 KB, image/png)
2016-09-13 21:13 UTC, Dave Johnson
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Dave Johnson 2016-09-13 21:13:25 UTC
Created attachment 1200624 [details]
vm details screenshot

Description of problem:
===========================
Investigating IPv6 support, John asked and we confirmed that IPv6 addresses are not shown on the details page.  Some good news, they are there, you have to click on the field which pushes you to a network adapter page where it does show the ipv6 address.  Not sure how serious this is, ultimately its not ideal if working in a straight IPv6 network and it might be better to make it configurable as to what address is shown?

See the screenshots.


Version-Release number of selected component (if applicable):
============================
5.6.1.2

Comment 3 Šimon Lukašík 2016-09-19 13:31:57 UTC
The Vm.ipaddresses list gets populated from Hardware/Network association.

I have been looking into where we use ipaddresses internally if we can include ipv6 in the list as well. We use the Vm.ipaddresses not only for presentation, but also for things like cockpit window or automate tasks. Our internal use shouldn't broke if we include ipv6 in Vm.ipaddress. It may actually help in cases of ipv6 only connectivity.

Question is, do we ever need to keep these separated?

Comment 6 CFME Bot 2016-12-19 18:06:04 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e46e282988de9b00685bf3915baf127064cf6884

commit e46e282988de9b00685bf3915baf127064cf6884
Author:     James Wong <jwong@redhat.com>
AuthorDate: Wed Dec 14 23:41:49 2016 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Wed Dec 14 23:42:11 2016 -0500

    display IPv6Address on VM summary page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1375737

 app/models/hardware.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 Mike Shriver 2017-04-06 12:25:21 UTC
Verified in CFME 5.8.0.8-alpha1

The VM summary page shows configured IPv6 addresses in the 'IP Addresses' field under the 'Properties' table, comma separated in the case where more than one IPv6 address is detected on the server.

Comment 11 errata-xmlrpc 2017-05-31 14:21:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.